headless lms

Start a group chat

POST /api/member/chats/group. Start a group chat. Headless LMS Chats API reference.

POST
/api/member/chats/group

For a member of the community while group chats are on (403 otherwise). Everyone named must hold the community and be someone you may message. 409 when fewer than two others are named or the group would exceed the community's group size.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/member/chats/group" \  -H "Content-Type: application/json" \  -d '{    "communityId": "string",    "orgUserIds": [      "string",      "string"    ]  }'
{  "orgId": "string",  "id": "string",  "communityId": "string",  "kind": "direct",  "status": "pending",  "createdBy": "string",  "lockedAt": "2019-08-24T14:15:22Z",  "lockedBy": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}